Package: org.grails.config

## [Groovy] Class NullSafeNavigator

- org.grails.config.NavigableMap.NullSafeNavigator

- All Implemented Interfaces and Traits:
    java.util.Map

      @groovy.transform.CompileStatic
      static class NavigableMap.NullSafeNavigator

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `NavigableMap` | `parent`
    `java.util.List<java.lang.String>` | `path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMap.NullSafeNavigator (NavigableMap parent, java.util.List<java.lang.String> path)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `asBoolean()`
    `` | `java.lang.Object` | `asType(java.lang.Class c)`
    `` | `void` | `clear()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `` | `java.util.Set<Map.Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `boolean` | `equals(java.lang.Object to)`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
    `` | `boolean` | `is(java.lang.Object other)`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Iterator` | `iterator()`
    `` | `java.util.Set<java.lang.String>` | `keySet()`
    `` | `java.lang.Object` | `plus(java.lang.String s)`
    `` | `java.lang.Object` | `plus(java.lang.Object o)`
    `` | `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map<? extends java.lang.String, ?> m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `` | `int` | `size()`
    `` | `java.lang.String` | `toString()`
    `` | `java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### final NavigableMap parent

    - #### final java.util.List<java.lang.String> path

  - ### Constructor Detail

    - #### NavigableMap.NullSafeNavigator(NavigableMap parent, java.util.List<java.lang.String> path)

  - ### Method Detail

    - #### boolean asBoolean()

    - #### java.lang.Object asType(java.lang.Class c)

    - #### @java.lang.Override void clear()

    - #### boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override boolean containsValue(java.lang.Object value)

    - #### @java.lang.Override java.util.Set<Map.Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### boolean equals(java.lang.Object to)

    - #### @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### java.lang.Object getAt(java.lang.Object key)

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

    - #### boolean is(java.lang.Object other)

    - #### @java.lang.Override boolean isEmpty()

    - #### java.util.Iterator iterator()

    - #### @java.lang.Override java.util.Set<java.lang.String> keySet()

    - #### java.lang.Object plus(java.lang.String s)

    - #### java.lang.Object plus(java.lang.Object o)

    - #### @java.lang.Override java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override void putAll(java.util.Map<? extends java.lang.String, ?> m)

    - #### @java.lang.Override java.lang.Object remove(java.lang.Object key)

    - #### void setAt(java.lang.Object key, java.lang.Object value)

    - #### void setProperty(java.lang.String name, java.lang.Object value)

    - #### @java.lang.Override int size()

    - #### java.lang.String toString()

    - #### @java.lang.Override java.util.Collection<java.lang.Object> values()